TreeContext (Groovy 3.0.9)

Package org.codehaus.groovy.macro.matcher

## Class TreeContext

- java.lang.Object
- - org.codehaus.groovy.macro.matcher.TreeContext

-     public class TreeContext
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterVisit​(Closure<?> action)` |
    `void` | `afterVisit​(TreeContextAction action)` |
    `TreeContext` | `fork​(ASTNode node)` |
    `ASTNode` | `getNode()` |
    `List<TreeContextAction>` | `getOnPopHandlers()` |
    `TreeContext` | `getParent()` |
    `Expression` | `getReplacement()` |
    `List<TreeContext>` | `getSiblings()` |
    `Map<?,​List<?>>` | `getUserdata()` |
    `List<?>` | `getUserdata​(Object key)` |
    `List<?>` | `getUserdata​(Object key, boolean searchParent)` |
    `boolean` | `matches​(Closure<Boolean> predicate)` |
    `boolean` | `matches​(ASTNodePredicate predicate)` |
    `void` | `putUserdata​(Object key, Object value)` |
    `void` | `setReplacement​(Expression replacement)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getUserdata

          public Map<?,​List<?>> getUserdata()

    - #### putUserdata

          public void putUserdata​(Object key,
                                  Object value)

    - #### getUserdata

          public List<?> getUserdata​(Object key)

    - #### getUserdata

          public List<?> getUserdata​(Object key,
                                     boolean searchParent)

    - #### getParent

          public TreeContext getParent()

    - #### getNode

          public ASTNode getNode()

    - #### fork

          public TreeContext fork​(ASTNode node)

    - #### matches

          public boolean matches​(ASTNodePredicate predicate)

    - #### matches

          public boolean matches​(@DelegatesTo(value=ASTNode.class,strategy=1)
                                 Closure<Boolean> predicate)

    - #### getSiblings

          public List<TreeContext> getSiblings()

    - #### getOnPopHandlers

          public List<TreeContextAction> getOnPopHandlers()

    - #### afterVisit

          public void afterVisit​(TreeContextAction action)

    - #### afterVisit

          public void afterVisit​(@DelegatesTo(value=TreeContext.class,strategy=1)
                                 Closure<?> action)

    - #### setReplacement

          public void setReplacement​(Expression replacement)

    - #### getReplacement

          public Expression getReplacement()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`